FLANG

Public Member Functions | List of all members
Fortran::evaluate::DesignatorFolder Class Reference

## Public Member Functions
| DesignatorFolder (FoldingContext &c)
bool | isEmpty () const
bool | isOutOfRange () const
template<typename T >
std::optional< OffsetSymbol > | FoldDesignator (const Expr< T > &expr)

The documentation for this class was generated from the following files:

- include/flang/Evaluate/fold-designator.h
- lib/Evaluate/fold-designator.cpp